Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.vfs
Class PipeStream

    java.lang.Object
      |
      +--com.caucho.vfs.StreamImpl
            |
            +--com.caucho.vfs.PipeStream

public class PipeStream
extends StreamImpl

Fields inherited from class com.caucho.vfs.StreamImpl
`path`

Method Summary
`boolean` | `canRead()`
`boolean` | `canWrite()`
`void` | `close()`
`static java.lang.Object[]` | `create()`
`int` | `getAvailable()`
`int` | `read(byte[] buf, int offset, int length)`
`void` | `write(byte[] buf, int offset, int length)`

Methods inherited from class com.caucho.vfs.StreamImpl
`clearWrite, flush, getAttribute, getAttributeNames, getFlushOnNewline, getNewline, getPath, removeAttribute, setAttribute, setPath, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static java.lang.Object[] create()

### canRead

    public boolean canRead()

  Overrides:
    `canRead` in class `StreamImpl`

### read

    public int read(byte[] buf,
                    int offset,
                    int length)
             throws java.io.IOException

  Overrides:
    `read` in class `StreamImpl`

### getAvailable

    public int getAvailable()
                     throws java.io.IOException

  Overrides:
    `getAvailable` in class `StreamImpl`

### canWrite

    public boolean canWrite()

  Overrides:
    `canWrite` in class `StreamImpl`

### write

    public void write(byte[] buf,
                      int offset,
                      int length)
               throws java.io.IOException

  Overrides:
    `write` in class `StreamImpl`

### close

    public void close()
               throws java.io.IOException

  Overrides:
    `close` in class `StreamImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD